Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 971236 - Review Request: sugar-deducto - A learning activity aimed towards improving children's skills to deducing logic
Review Request: sugar-deducto - A learning activity aimed towards improving c...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 01:51 EDT by Danishka Navin
Modified: 2013-08-14 22:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: sugar-deducto-9-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 22:44:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Danishka Navin 2013-06-06 01:51:33 EDT
Spec URL: http://snavin.fedorapeople.org/packages/sugar-deducto/sugar-deducto.spec
SRPM URL: snavin.fedorapeople.org/packages/sugar-deducto/sugar-deducto-9-1.fc18.src.rpm
Description: A learning activity aimed towards improving children's skills to deducing logic through pattern recognition.

Fedora Account System Username:  snavin
Comment 1 Parag AN(पराग) 2013-06-06 03:07:05 EDT
Review:-

+ Package builds in mock successfully

+ rpmlint on rpms gave
sugar-deducto.noarch: W: spelling-error %description -l en_US children's -> children, childcare's, Nichiren's
sugar-deducto.src: W: spelling-error %description -l en_US children's -> children, childcare's, Nichiren's
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
==> this can be ignored

+ Source verified with upstream as (sha256sum)
srpm tarball  : db7bdea1c281aa9f6a850f58edb01388efe24568336bfa733472b17c385ed53a
upstream tarball : db7bdea1c281aa9f6a850f58edb01388efe24568336bfa733472b17c385ed53a

- License tag is not completely valid.

+ Rest looks as per packaging guidelines.

Suggestions:
1)  Don't use any backslash between %{buildroot} and %{_prefix}, so your %install should look like
%{__python} ./setup.py install --prefix=%{buildroot}%{_prefix}

2) License tag should be GPLv3+ and MIT. 
Read https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#.22or_later_version.22_licenses

Also, Add a comment above license tag 
# sprites.py is in MIT and all other files in GPLv3+
Comment 2 Danishka Navin 2013-06-06 03:15:35 EDT
corrected the spec and rebuild as per instructions in the comment #1

SPEC URL: http://snavin.fedorapeople.org/packages/sugar-deducto/sugar-deducto.spec
SRPM URL: http://snavin.fedorapeople.org/packages/sugar-deducto/sugar-deducto-9-2.fc18.src.rpm
Comment 3 Parag AN(पराग) 2013-06-06 03:18:34 EDT
You missed to update license tag. Read Suggestion 2 again. You need to set it
GPLv3+ and MIT.
Comment 5 Parag AN(पराग) 2013-06-06 05:24:40 EDT
I see spelling mistake in latest changelog. Please change tab to tag. Otherwise recent srpm Looks good now.


APPROVED.
Comment 6 Danishka Navin 2013-06-06 05:33:44 EDT
Do i need to correct it and add new changelog for that?
or just correct the changelog and send with the same version by replacing old package?
Comment 7 Parag AN(पराग) 2013-06-06 05:35:13 EDT
no changelog needed but correct it before you build officially on koji.
Comment 9 Danishka Navin 2013-06-06 05:53:38 EDT
New Package SCM Request
=======================
Package Name: sugar-deducto
Short Description: A learning activity aimed towards improving children's skills to deducing logic
Owners: snavin
Branches: f17 f18 f19
InitialCC:
Comment 10 Gwyn Ciesla 2013-06-11 08:06:41 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-08-04 22:22:30 EDT
sugar-deducto-9-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sugar-deducto-9-5.fc18
Comment 12 Fedora Update System 2013-08-04 23:29:56 EDT
sugar-deducto-9-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sugar-deducto-9-5.fc19
Comment 13 Fedora Update System 2013-08-05 20:12:47 EDT
sugar-deducto-9-5.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2013-08-14 22:44:06 EDT
sugar-deducto-9-5.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2013-08-14 22:58:08 EDT
sugar-deducto-9-5.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.